Перайсці да змесціва

Task assignees

Members a task is assigned to

The task assignee object

Attributes

iduuid
member_iduuid
members.id

Identifier of the assigned member

task_iduuid
tasks.id

Identifier of the related task

created_atread-onlytimestamp with time zone

Creation timestamp

Related resources

Embed related resources in the response with the select parameter, for example select=*,members(*). Resources related through more than one column need the column as a hint, like table!column(*).

members(*)object | null
members

The member referenced by member_id.

tasks(*)object | null
tasks

The task referenced by task_id.

The task assignee object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "member_id": "00000000-0000-0000-0000-000000000000",
  "task_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:21:07.688Z"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/task_assignees?limit=10&select=*,members(*),tasks(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List task assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_idFilter<uuid>
tasks.id

Identifier of the related task

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of task assignees with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /task_assignees
curl -X GET "https://api.bookingmood.com/v1/task_assignees?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Create task assignees

Body

Partial<TaskAssignee> | Array<Partial<TaskAssignee>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created task assignees with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /task_assignees
curl -X POST "https://api.bookingmood.com/v1/task_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Delete task assignees

Filters

Without filters, this request deletes all task assignees you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_idFilter<uuid>
tasks.id

Identifier of the related task

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

The deleted task assignees with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /task_assignees
curl -X DELETE "https://api.bookingmood.com/v1/task_assignees?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Update task assignees

Filters

Without filters, this request updates all task assignees you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_idFilter<uuid>
tasks.id

Identifier of the related task

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<TaskAssignee>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated task assignees with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /task_assignees
curl -X PATCH "https://api.bookingmood.com/v1/task_assignees?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Возьмите управление своими бронированиями в свои руки. Создайте собственный бизнес.

Присоединяйтесь к 1200+ независимым компаниям по аренде жилья для отдыха, которые используют Bookingmood для увеличения количества прямых бронирований и укрепления отношений с гостями.

Начните бесплатную 14-дневную пробную версию